Package com.mockobjects.sql

# Class ExpectationSqlRow

java.lang.Object
com.mockobjects.sql.ExpectationSqlRow

All Implemented Interfaces:
  `Verifiable`

public class ExpectationSqlRow extends Object implements Verifiable

## Constructor Summary

Constructors
Constructor
Description
`ExpectationSqlRow(String name)`
`ExpectationSqlRow(String name, Object[] indexedValues)`
`ExpectationSqlRow(String name, String[] columnNames, Object[] values)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addExpectedIndexedValues(Object[] indexedValues)`
`void`
`addExpectedNamedValues(String[] columnNames, Object[] someValues)`
`void`
`addExpectedNamedValues(Map map)`
`Object`
`get(int oneBasedIndex)`
`Object`
`get(Object key)`
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpectationSqlRow

public ExpectationSqlRow(String name)

### ExpectationSqlRow

public ExpectationSqlRow(String name, Object[] indexedValues)

### ExpectationSqlRow

public ExpectationSqlRow(String name, String[] columnNames, Object[] values)

## Method Details

### addExpectedIndexedValues

public void addExpectedIndexedValues(Object[] indexedValues)

### addExpectedNamedValues

public void addExpectedNamedValues(Map map)

### addExpectedNamedValues

public void addExpectedNamedValues(String[] columnNames, Object[] someValues)

### get

public Object get(int oneBasedIndex) throws SQLException

Throws:
  `SQLException`

### get

public Object get(Object key) throws SQLException

Throws:
  `SQLException`

### verify

public void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`